Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.ide.api
[Java] Class PropertiesGeneratorTask

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.plugins.ide.api.GeneratorTask
              org.gradle.plugins.ide.api.PropertiesGeneratorTask

    public abstract class PropertiesGeneratorTask
    extends GeneratorTask

A convenience superclass for those tasks which generate Properties configuration files from a domain object of type T.

Parameters:
  `` - The domain object type.

Field Summary

Fields inherited from class GeneratorTask
afterConfigured, beforeConfigured, domainObject, generator

Constructor Summary
`PropertiesGeneratorTask()`

Method Summary
`protected void` | `configure(Object object)`
`protected Object` | `create()`
`protected PropertiesTransformer` | `getTransformer()`

Methods inherited from class GeneratorTask
getInputFile, getOutputFile, setInputFile, setOutputFile

Constructor Detail

### PropertiesGeneratorTask

    public PropertiesGeneratorTask()

Method Detail

### configure

    protected void configure(Object object)

### create

    protected Object create()

### getTransformer

    protected PropertiesTransformer getTransformer()

Gradle API 1.10